Package org.apache.cxf.staxutils

## Class FragmentStreamReader

- java.lang.Object
- - org.apache.cxf.staxutils.DepthXMLStreamReader
  - - org.apache.cxf.staxutils.FragmentStreamReader

- All Implemented Interfaces:
    `XMLStreamConstants`, `XMLStreamReader`

      public class FragmentStreamReader
      extends DepthXMLStreamReader

  Wraps a XMLStreamReader and provides optional START_DOCUMENT and END_DOCUMENT events.

- - ### Field Summary

    - ### Fields inherited from class org.apache.cxf.staxutils.DepthXMLStreamReader

      `reader`

    - ### Fields inherited from interface javax.xml.stream.XMLStreamConstants

      `ATTRIBUTE, CDATA, CHARACTERS, COMMENT, DTD, END_DOCUMENT, END_ELEMENT, ENTITY_DECLARATION, ENTITY_REFERENCE, NAMESPACE, NOTATION_DECLARATION, PROCESSING_INSTRUCTION, SPACE, START_DOCUMENT, START_ELEMENT`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FragmentStreamReader​(XMLStreamReader reader)` |
    `FragmentStreamReader​(XMLStreamReader reader, boolean doDocEvents)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getEventType()` |
    `boolean` | `hasNext()` |
    `boolean` | `isAdvanceAtEnd()` |
    `boolean` | `isCharacters()` |
    `boolean` | `isEndElement()` |
    `boolean` | `isStartElement()` |
    `boolean` | `isWhiteSpace()` |
    `int` | `next()` |
    `void` | `setAdvanceAtEnd​(boolean a)` | Set whether or not the FragmentStreamReader should move past the END_ELEMENT when it is done parsing.

    - ### Methods inherited from class org.apache.cxf.staxutils.DepthXMLStreamReader

      `close, equals, getAttributeCount, getAttributeLocalName, getAttributeName, getAttributeNamespace, getAttributePrefix, getAttributeType, getAttributeValue, getAttributeValue, getCharacterEncodingScheme, getDepth, getElementText, getEncoding, getLocalName, getLocation, getName, getNamespaceContext, getNamespaceCount, getNamespacePrefix, getNamespaceURI, getNamespaceURI, getNamespaceURI, getPIData, getPITarget, getPrefix, getProperty, getReader, getText, getTextCharacters, getTextCharacters, getTextLength, getTextStart, getVersion, hashCode, hasName, hasText, isAttributeSpecified, isStandalone, nextTag, require, standaloneSet, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FragmentStreamReader

          public FragmentStreamReader​(XMLStreamReader reader)

    - #### FragmentStreamReader

          public FragmentStreamReader​(XMLStreamReader reader,
                                      boolean doDocEvents)

  - ### Method Detail

    - #### getEventType

          public int getEventType()

      Specified by:
        `getEventType` in interface `XMLStreamReader`
      Overrides:
        `getEventType` in class `DepthXMLStreamReader`

    - #### isCharacters

          public boolean isCharacters()

      Specified by:
        `isCharacters` in interface `XMLStreamReader`
      Overrides:
        `isCharacters` in class `DepthXMLStreamReader`

    - #### isEndElement

          public boolean isEndElement()

      Specified by:
        `isEndElement` in interface `XMLStreamReader`
      Overrides:
        `isEndElement` in class `DepthXMLStreamReader`

    - #### isStartElement

          public boolean isStartElement()

      Specified by:
        `isStartElement` in interface `XMLStreamReader`
      Overrides:
        `isStartElement` in class `DepthXMLStreamReader`

    - #### isWhiteSpace

          public boolean isWhiteSpace()

      Specified by:
        `isWhiteSpace` in interface `XMLStreamReader`
      Overrides:
        `isWhiteSpace` in class `DepthXMLStreamReader`

    - #### hasNext

          public boolean hasNext()
                          throws XMLStreamException

      Specified by:
        `hasNext` in interface `XMLStreamReader`
      Overrides:
        `hasNext` in class `DepthXMLStreamReader`
      Throws:
        `XMLStreamException`

    - #### next

          public final int next()
                         throws XMLStreamException

      Specified by:
        `next` in interface `XMLStreamReader`
      Overrides:
        `next` in class `DepthXMLStreamReader`
      Throws:
        `XMLStreamException`

    - #### isAdvanceAtEnd

          public boolean isAdvanceAtEnd()

    - #### setAdvanceAtEnd

          public void setAdvanceAtEnd​(boolean a)

      Set whether or not the FragmentStreamReader should move past the END_ELEMENT when it is done parsing.
      Parameters:
        `a` -